1,21-alpha installer problem

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

1,21-alpha installer problem

Jürgen Lange
Hello,
the Enigma 1.21 alpha installer displays German umlaute cryptic.
Win 7, 64 bit, language: German

Greetings
Jürgen

_______________________________________________
Enigma-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/enigma-devel
Reply | Threaded
Open this post in threaded view
|

Re: 1,21-alpha installer problem

Fòram na Gàidhlig
I can confirm this. The lang files for the installer will have to be
reencoded from UTF-8 to ANSI or vice versa.

Which installer program are you using? I might have a Scottish Gaelic
translation available.



27/10/2014 09:14, sgrìobh Jürgen Lange:

> Hello,
> the Enigma 1.21 alpha installer displays German umlaute cryptic.
> Win 7, 64 bit, language: German
>
> Greetings
> Jürgen
>
> _______________________________________________
> Enigma-devel mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/enigma-devel
>
>
> -----
> No virus found in this message.
> Checked by AVG - www.avg.com
> Version: 2015.0.5557 / Virus Database: 4189/8461 - Release Date: 10/27/14
>
>
>

_______________________________________________
Enigma-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/enigma-devel
Reply | Threaded
Open this post in threaded view
|

Re: 1,21-alpha installer problem

Andreas Lochmann-2

Hi,

thanks Jürgen; yes, I saw that problem too when I
tested the installer. However, on the second page,
all umlauts are there - so I tend to blame NSIS
for showing one page wrong and the other
correct?

Anyway, we should try with ANSI.

Am 27.10.2014 12:19, schrieb Fòram na Gàidhlig:
> I can confirm this. The lang files for the installer will have to be
> reencoded from UTF-8 to ANSI or vice versa.
>
> Which installer program are you using? I might have a Scottish Gaelic
> translation available.

I used the Nullsoft Scriptable Install System,
as can be found here:
  http://nsis.sourceforge.net/Main_Page
in version 3.0b1. It didn't like the Scottish
Gaelic texts, it is missing a certain file
within its own installation to use Scottish
Gaelic.

Several other languages have been silently
ignored, like Russian.

Do you suggest a different installer?
I would rather like to use something
compatible to Nullsoft, because we have
the scripts ready for it.

Best,
Andreas

>
>
> 27/10/2014 09:14, sgrìobh Jürgen Lange:
>> Hello,
>> the Enigma 1.21 alpha installer displays German umlaute cryptic.
>> Win 7, 64 bit, language: German
>>
>> Greetings
>> Jürgen
>>
>> _______________________________________________
>> Enigma-devel mailing list
>> [hidden email]
>> https://lists.nongnu.org/mailman/listinfo/enigma-devel
>>
>>
>> -----
>> No virus found in this message.
>> Checked by AVG - www.avg.com
>> Version: 2015.0.5557 / Virus Database: 4189/8461 - Release Date: 10/27/14
>>
>>
>>
> _______________________________________________
> Enigma-devel mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/enigma-devel



_______________________________________________
Enigma-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/enigma-devel
Reply | Threaded
Open this post in threaded view
|

Re: 1,21-alpha installer problem

Jürgen Lange
Hi Andreas,
I think it is a problem with the the encoding of the text you have written.
Correct "Benötigter Speicher" on page 2 is probably hardcoded by the  
installer. The popup with your custom text has again wrong encoding.
I've found a advice in the Nullsoft Forum:
For NSIS 3 you should store the file as UTF8 with signature/BOM or  
UTF16LE-BOM and compile with "Unicode True".

Greetings
Jürgen

Am 27.10.2014, 22:32 Uhr, schrieb Andreas Lochmann  
<[hidden email]>:

>
> Hi,
>
> thanks Jürgen; yes, I saw that problem too when I
> tested the installer. However, on the second page,
> all umlauts are there - so I tend to blame NSIS
> for showing one page wrong and the other
> correct?
>
> Anyway, we should try with ANSI.
>
> Am 27.10.2014 12:19, schrieb Fòram na Gàidhlig:
>> I can confirm this. The lang files for the installer will have to be
>> reencoded from UTF-8 to ANSI or vice versa.
>>
>> Which installer program are you using? I might have a Scottish Gaelic
>> translation available.
>
> I used the Nullsoft Scriptable Install System,
> as can be found here:
>   http://nsis.sourceforge.net/Main_Page
> in version 3.0b1. It didn't like the Scottish
> Gaelic texts, it is missing a certain file
> within its own installation to use Scottish
> Gaelic.
>
> Several other languages have been silently
> ignored, like Russian.
>
> Do you suggest a different installer?
> I would rather like to use something
> compatible to Nullsoft, because we have
> the scripts ready for it.
>
> Best,
> Andreas
>
>>
>>
>> 27/10/2014 09:14, sgrìobh Jürgen Lange:
>>> Hello,
>>> the Enigma 1.21 alpha installer displays German umlaute cryptic.
>>> Win 7, 64 bit, language: German
>>>
>>> Greetings
>>> Jürgen
>>>
>>> _______________________________________________
>>> Enigma-devel mailing list
>>> [hidden email]
>>> https://lists.nongnu.org/mailman/listinfo/enigma-devel
>>>
>>>
>>> -----
>>> No virus found in this message.
>>> Checked by AVG - www.avg.com
>>> Version: 2015.0.5557 / Virus Database: 4189/8461 - Release Date:  
>>> 10/27/14
>>>
>>>
>>>
>> _______________________________________________
>> Enigma-devel mailing list
>> [hidden email]
>> https://lists.nongnu.org/mailman/listinfo/enigma-devel
>
>
>
> _______________________________________________
> Enigma-devel mailing list
> [hidden email]
> https://lists.nongnu.org/mailman/listinfo/enigma-devel

_______________________________________________
Enigma-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/enigma-devel
Reply | Threaded
Open this post in threaded view
|

Re: 1,21-alpha installer problem

Fòram na Gàidhlig
In reply to this post by Andreas Lochmann-2
>> Which installer program are you using? I might have a Scottish Gaelic
>> translation available.
>
> I used the Nullsoft Scriptable Install System,
> as can be found here:
>   http://nsis.sourceforge.net/Main_Page
> in version 3.0b1. It didn't like the Scottish
> Gaelic texts, it is missing a certain file
> within its own installation to use Scottish
> Gaelic.

The whole translation process for NSIS is a bi opaque. I contributed:

https://sourceforge.net/p/nsis/bugs/1068/

and it's supposed to be there.

Do you get a specific error message that I could file a bug report for?

The problem might be that they have programming logic in their
translation files - very bad design.


> Several other languages have been silently
> ignored, like Russian.
>
> Do you suggest a different installer?
> I would rather like to use something
> compatible to Nullsoft, because we have
> the scripts ready for it.

I have also translated InnoSetup, which I found a lot easier to deal
with. But they probably have their own scripting standard.

_______________________________________________
Enigma-devel mailing list
[hidden email]
https://lists.nongnu.org/mailman/listinfo/enigma-devel